Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions(), CreatableItem(False), NavigationItem(False), DeferredDeletion(False)> _
Public Class VATReport07
    Inherits BaseObject
    Private _VATReport As VATReport
    Private _Customers As Customers
    Private _DateExecution As Date
    Private _CustomsTariffs As CustomsTariffs
    Private _Weight As Double
    Private _AmountVATOutBase As Double 'Értékesítést terhelő ÁFA alap
    Public Sub New(ByVal session As Session)
        MyBase.New(session)
        ' This constructor is used when an object is loaded from a persistent storage.
        ' Do not place any code here or place it only when the IsLoading property is false:
        ' if (!IsLoading){
        '   It is now OK to place your initialization code here.
        ' }
        ' or as an alternative, move your initialization code into the AfterConstruction method.
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
        ' Place here your initialization code.
    End Sub

    <Association("VATReport-VATReport07", GetType(VATReport))> _
    Property VATReport As VATReport
        Get
            Return _VATReport
        End Get
        Set(value As VATReport)
            SetPropertyValue("VATReport", _VATReport, value)
        End Set
    End Property
    Property Customers As Customers
        Get
            Return _Customers
        End Get
        Set(value As Customers)
            SetPropertyValue("Customers", _Customers, value)
        End Set
    End Property
    Property DateExecution As Date
        Get
            Return _DateExecution
        End Get
        Set(value As Date)
            SetPropertyValue("DateExecution", _DateExecution, value)
        End Set
    End Property
    Property CustomsTariffs As CustomsTariffs
        Get
            Return _CustomsTariffs
        End Get
        Set(value As CustomsTariffs)
            SetPropertyValue("CustomsTariffs", _CustomsTariffs, value)
        End Set
    End Property
    Property Weight As Double
        Get
            Return _Weight
        End Get
        Set(value As Double)
            SetPropertyValue("Weight", _Weight, value)
        End Set
    End Property
    Property AmountVATOutBase As Double
        Get
            Return _AmountVATOutBase
        End Get
        Set(value As Double)
            SetPropertyValue("AmountVATOutBase", _AmountVATOutBase, value)
        End Set
    End Property
    ReadOnly Property AmountVATOutBaseThousand As Double
        Get
            Return Math.Round(AmountVATOutBase / 1000, 0, MidpointRounding.AwayFromZero)
        End Get
    End Property

End Class
